summaryrefslogtreecommitdiffstats
path: root/graphics/tgif-QPL/tgif-QPL.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'graphics/tgif-QPL/tgif-QPL.SlackBuild')
-rwxr-xr-xgraphics/tgif-QPL/tgif-QPL.SlackBuild72
1 files changed, 72 insertions, 0 deletions
diff --git a/graphics/tgif-QPL/tgif-QPL.SlackBuild b/graphics/tgif-QPL/tgif-QPL.SlackBuild
new file mode 100755
index 0000000000..4b44796eb2
--- /dev/null
+++ b/graphics/tgif-QPL/tgif-QPL.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# Slackware build script for tgif-QPL
+
+# Written by Dario Nicodemi dario.sbo@gmail.com
+
+PRGNAM=tgif-QPL
+VERSION=${VERSION:-4.2.2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+xmkmf
+make tgif CCOPTIONS="$SLKCFLAGS" CXXOPTIONS="$SLKCFLAGS"
+make DESTDIR=$PKG install install.man
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+# Install desktop file and icon
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cat $CWD/tgif.desktop > $PKG/usr/share/applications/tgif.desktop
+cat $PKG/usr/lib${LIBDIRSUFFIX}/X11/tgif/hicolor/128x128/apps/tgificon.png > $PKG/usr/share/pixmaps/tgif.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS ChangeLog Copyright HISTORY LICENSE.QPL NEWS README README.tgwb \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}